# Class: oPathPoint

## $. oPathPoint

oList Base Class

#### new $.oPathPoint(oColumnObject, oFrameObject)

openHarmony/openHarmony_path.js, line 61
  The base class for the oList.

  Name | Type | Description
  --- | --- | ---
  `oColumnObject` | oColumn | The array that this oList represents.
  `oFrameObject` | oFrame | The index at which this list starts.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `column` | oColumn | The indexed object of the item.
  `frame` | oFrame | The indexed object of the item.

### Members

#### biasfloat

  The bias at the current keyframe point.

#### continuityfloat

  The continuity at the current keyframe point.

#### lockfloat

  The bezier lock at the current keyframe point.

#### pointIndexint

  The keyframe index of the frame/key at this point.

#### tensionfloat

  The tension at the current keyframe point.

#### velocityfloat

  The velocity at the current keyframe point.

#### xfloat

  The X value of the path element.

#### yfloat

  The Y value of the path element.

#### zfloat

  The Z value of the path element.

### Methods

#### set(pseudoPathPoint)

openHarmony/openHarmony_path.js, line 257
  Matches this path point to the provided one.

  Name | Type | Description
  --- | --- | ---
  `pseudoPathPoint` | $.oPathPoint | The path point object to match this to.

#### toString(){string}

openHarmony/openHarmony_path.js, line 279
  Converts the pathpoint to a string.

  ##### Returns:

  Type | Description
  --- | ---
  string | The pathpoint represented as a string.